net.minecraftforge.client.event

## Class RenderGameOverlayEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.RenderGameOverlayEvent

- Direct Known Subclasses:
    RenderGameOverlayEvent.Post, RenderGameOverlayEvent.Pre

      public class RenderGameOverlayEvent
      extends Event

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RenderGameOverlayEvent.Chat`
    `static class` | `RenderGameOverlayEvent.ElementType`
    `static class` | `RenderGameOverlayEvent.Post`
    `static class` | `RenderGameOverlayEvent.Pre`
    `static class` | `RenderGameOverlayEvent.Text`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `mouseX`
    `int` | `mouseY`
    `float` | `partialTicks`
    `ScaledResolution` | `resolution`
    `RenderGameOverlayEvent.ElementType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderGameOverlayEvent(float partialTicks, ScaledResolution resolution, int mouseX, int mouseY)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### partialTicks

          public final float partialTicks

    - #### resolution

          public final ScaledResolution resolution

    - #### mouseX

          public final int mouseX

    - #### mouseY

          public final int mouseY

    - #### type

          public final RenderGameOverlayEvent.ElementType type

  - ### Constructor Detail

    - #### RenderGameOverlayEvent

          public RenderGameOverlayEvent(float partialTicks,
                                ScaledResolution resolution,
                                int mouseX,
                                int mouseY)